com.fasterxml.jackson.databind.util

## Class NativeImageUtil

- java.lang.Object
- - com.fasterxml.jackson.databind.util.NativeImageUtil

    public class NativeImageUtil
    extends Object

Utilities for graal native image support; mostly to improve error message handling in case of missing information for native image.

Since:
  2.14

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isUnsupportedFeatureError(Throwable e)` Check whether the given error is a substratevm UnsupportedFeatureError
`static boolean` `needsReflectionConfiguration(Class<?> cl)` Check whether the given class is likely missing reflection configuration (running in native image, and no members visible in reflection).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isUnsupportedFeatureError

    public static boolean isUnsupportedFeatureError(Throwable e)

Check whether the given error is a substratevm UnsupportedFeatureError

#### needsReflectionConfiguration

    public static boolean needsReflectionConfiguration(Class<?> cl)

Check whether the given class is likely missing reflection configuration (running in native image, and no members visible in reflection).